package cn.iocoder.yudao.module.system.dal.mysql.service;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.dal.dataobject.service.ServicePackageDO;
import cn.iocoder.yudao.module.system.dal.dataobject.tenant.TenantPackageDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.system.controller.admin.service.vo.*;

/**
 * 服务套餐 Mapper
 *
 * @author 后台管理员
 */
@Mapper
public interface ServicePackageMapper extends BaseMapperX<ServicePackageDO> {

    default PageResult<ServicePackageDO> selectPage(ServicePackagePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ServicePackageDO>()
                .likeIfPresent(ServicePackageDO::getName, reqVO.getName())
                .eqIfPresent(ServicePackageDO::getStatus, reqVO.getStatus())
                .eqIfPresent(ServicePackageDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(ServicePackageDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ServicePackageDO::getId));
    }
    default List<ServicePackageDO> selectListByStatus(Integer status) {
        return selectList(ServicePackageDO::getStatus, status);
    }


    List<ServicePackageDO> getPackageListByTenantId();
}
